;;; -*- Lisp -*-
;;;
;;; Screamer - an extension of Common Lisp that adds support for
;;; nondeterministic programming

(defpackage #:screamer-system (:use #:asdf #:cl))
(in-package #:screamer-system)

(defsystem screamer
    :components
  ((:file "screamer")
   (:file "iterate")
   (:file "primordial" :depends-on ("iterate" "screamer"))
   (:file "screams" :depends-on ("iterate" "screamer"))
   (:file "equations" :depends-on ("iterate" "screamer")))

  :perform (compile-op :after (op c)
		       (print (funcall (intern
					"PRIME-ORDEAL" "PRIMORDIAL")))))
